<?php
if ( ! class_exists( 'IPLand_Admin' )) {

    /**
     * Class for handling administrator page
     */
    class IPLand_Admin
    {
        /**
         * Show content admin setting
         *
         * @return void
         */
        public function setting()
        {
        ?>
            <div id="ipland-admin" class="wrap ipadm-wrap ipland-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipland-page-title">
                            <h1><?php _e( 'EZ Page', 'ipland' ); ?></h1>
                        </div>
                    </div>
                    
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">
                            <div class="ipadm-form-wrap">
            <div id="ipland-sett-general" class="ipland-sett-section ipland-promo2page">
                
                <div class="ipland-page-subtitle">
                    <h3><?php _e( 'General', 'ipland' ); ?></h3>
                </div>
                <form id="ipland-form-sett-general" action="" method="post">
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-url-base"><?php _e( 'URL Base', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap">
                                <?php
                                $base = get_option( '_ipland_page_base_url', 'sociallead' );
                                ?>
                                <input class="ipadm-input" type="text" id="input-url-base" value="<?php echo $base; ?>" size="30" name="_ipland_page_base_url">
                            </div>
                            <div class="ipadm-info-block">
                                <?php _e( 'Data URL Base should only contain letters, numbers and characters (_)', 'ipland' ); ?>
                            </div>
                        </div>
                    </div>

                    <div class="ipadm-field-row ipadm-field-stripe">
                        <div class="ipadm-btn-wrap ipadm-btn-left">
                            <input class="ipadm-btn ipadm-btn-primary" type="submit" name="do_save_change" id="ipland-do-save-setting" value="<?php _e( 'Save Settings', 'ipland' ); ?>" />
                        </div>
                    </div>
                </form>
            </div>

            
                            </div>
                        </div>
                        
                    </div>
                    
                </div>

<div id="ipland-modal-message-overlay" style="display:none;">
    <div id="ipland-modal-message"></div>
</div>

            </div>
        <?php
        }
    }
}