<?php
$st    =  $this->setting;
$title = $st->getSetting( 'page_title', '' );
$btn   = $st->getSetting( 'bonus_button_design', 1 );
?>

<div class="ipland-content ipland-content-bonus">
    <div class="ipland-bonus-background"></div>
    <div class="ipland-bonus-deco-right"></div>
    <div class="ipland-bonus-deco-left"></div>
    
    <div class="ipland-bonus-container ipland-bonus-clear">
        <div class="ipland-bonus-content">
            <div class="ipland-bonus-header">
                <h1><span><?php echo $title ?></span></h1>
            </div>
            <?php
            if ( $content = $st->getSetting( 'page_content' ) ) :
            ?>
            <div class="ipland-bonus-content">
                <p><?php echo $content; ?></p>
            </div>
            <?php
            endif;
            ?>
        </div>
        <div class="ipland-bonus-download ipland-bonus-clear">
            <?php 
            if ( $btnlbl = $st->getSetting( 'bonus_button' ) ) :
            ?>
            <div class="ipland-bonus-download-label ipland-bonus-link-label">
                <h2><?php echo $btnlbl; ?></h2>
            </div>
            <?php
            endif;
            
            if ( $label = $st->getSetting( 'bonus_title' ) ) :
            ?>
            <div class="ipland-bonus-download-label ipland-bonus-bonus-label" style="display:none;">
                <h2><?php echo $label; ?></h2>
            </div>
            <?php
            endif;
            ?>
            <div class="ipland-bonus-download-main">
                <?php
                $class    = 'ipland-bonus-download-link';
                $redirect = '#';
                ?>
                <div class="<?php echo $class; ?>">
                    <a href="<?php echo $redirect; ?>">
                        <img src="<?php echo $this->bonusbtn; ?>box-<?php echo $btn; ?>.png" alt="<?php echo $btnlbl; ?>">
                    </a>
                </div>
                <?php
                $class = 'ipland-bonus-download-content';
                $src   = '';
                $imgid = $st->getSetting( 'page_image' );
                if ( $imgid ) {
                    $src = $this->getImageUrl( $imgid );
                }
                ?>
                <div class="<?php echo $class; ?>" style="display: none;">
                    <a class="ipland-bonus-download-action" href="<?php echo $st->getSetting( 'bonus_url', '#' ); ?>">
                        <img src="<?php echo $src; ?>" alt="" />
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>