<?php
$st  = $this->setting;
$imgurl = '';
if ( $imgId = $st->getSetting( 'page_image' ) ) {
    $imgurl = $this->getImageUrl( $imgId );
}
$display = $st->getSetting( 'image_display', 'fullpage' );
?>
<div class="ipland-content ipland-content-image ipland-display-<?php echo $display; ?>">
    <?php
    if ( $display == 'fullpage' ) :
    ?>
    <div class="ipland-page-main">
        <?php
        if ( $title = $st->getSetting( 'page_title' ) ) :
            $title = stripslashes( $title );
        ?>
        <div class="ipland-page-title"<?php echo $this->getFontFamily( 'title'); ?>>
            <h1><?php echo $title; ?></h1>
        </div>
        <?php
        endif;
        
        if ( $content = $st->getSetting( 'page_content' ) ) :
            $content = stripslashes( $content );
        ?>
        <div class="ipland-page-content"<?php echo $this->getFontFamily(); ?>>
            <p><?php echo $content; ?></p>
        </div>
        <?php
        endif;
        
        if ( $title || $content ) :
        ?>
        <a class="ipland-content-close" href="#"><i class="fa fa-times-circle"></i></a>
        <?php
        endif;
        ?>
    </div>
    <div class="ipland-bg-image" style="background-image: url( '<?php echo $imgurl; ?>' );"></div>
    <?php
    else:
        
        if ( $st->getSetting( 'image_display', 'fullpage' ) == 'frame' ) {
            $frame  = $st->getSetting( 'image_frame', '1' );
            $frmcls ="ipland-imgdeco ipland-frame ipland-frame-$frame";
        } else {
            $frmcls ="ipland-imgdeco ipland-no-frame";
        }
        $style  = '';
        $height = $st->getSetting( 'image_height' );
        $width  = $st->getSetting( 'image_width' );
        if ( $height && $width ) {
            $style = ' style="width: ' . $width . 'px; height: ' . $height . 'px;"';
        } elseif ( $height && ! $width ) {
            $style = ' style="width: auto; height: ' . $height . 'px;"';
        } elseif ( ! $height && $width ) {
            $style = ' style="width: ' . $width . 'px; height: auto;"';
        }
        
    ?>
        <div class="ipland-image-main">
            <div class="<?php echo $frmcls; ?>">
                <div class="ipland-frame-deco">
                    <img src="<?php echo $imgurl; ?>" alt=""<?php echo $style; ?>>
                </div>
            </div>
            <div class="ipland-page-main" style="width: <?php echo $width; ?>px">
                <?php
                if ( $title = $st->getSetting( 'page_title' ) ) :
                    $title = stripslashes( $title );
                ?>
                <div class="ipland-page-title"<?php echo $this->getFontFamily( 'title'); ?>>
                    <h1><?php echo $title; ?></h1>
                </div>
                <?php
                endif;
                
                if ( $content = $st->getSetting( 'page_content' ) ) :
                    $content = stripslashes( $content );
                ?>
                <div class="ipland-page-content"<?php echo $this->getFontFamily(); ?>>
                    <p><?php echo $content; ?></p>
                </div>
                <?php
                endif;
                ?>
            </div>
        </div>
    <?php
    endif;
    ?>
</div>